View Issue Details

IDProjectCategoryView StatusLast Update
0006587MediaMonkey (current)Framework: Scripts/Extensionspublic2011-02-12 23:01
Reporterpeke 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0006587: Scripting: Implement ISDBApplication::PlaylistByID
Descriptionhttp://www.mediamonkey.com/wiki/index.php/ISDBApplication::PlaylistByID would be same as http://www.mediamonkey.com/wiki/index.php/ISDBApplication::PlaylistByTitle but instead of String Parameter Playlist ID would be used

And it would return http://www.mediamonkey.com/wiki/index.php/SDBPlaylist
TagsNo tags attached.
Fixed in build1345

Relationships

has duplicate 0006369 closedLudek Playlists: Accessing Playlist by Playlist ID 
related to 0006412 assignedjiri Scripting: Implement function GetAutoPlaylistQuery 
related to 0006711 closedLudek ISDBApplication::PlaylistByNode property needed 

Activities

Ludek

2011-01-19 16:02

developer   ~0022453

Fixed in build 1345

peke

2011-01-20 02:32

developer   ~0022473

Last edited: 2011-01-20 02:32

View 2 revisions

PlaylistByID Example of adding random track from chosen Playlist into NowPlaying:
Set pid = SDB.IniFile.IntValue("TempPlaylist", "PlaylistID")
Set playlst = SDB.PlaylistByID(pid)
Randomize
Call SDB.Player.PlaylistAddTrack(playlst.tracks.item(Int((playlst.Tracks.Count+1) * Rnd)))

peke

2011-02-12 23:01

developer   ~0023032

Verified 1348